io.undertow.websockets.client

## Class WebSocketClientNegotiation

- java.lang.Object
- - io.undertow.websockets.client.WebSocketClientNegotiation

    public class WebSocketClientNegotiation
    extends Object

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`WebSocketClientNegotiation(List<String> supportedSubProtocols, List<WebSocketExtension> supportedExtensions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `afterRequest(Map<String,List<String>> headers)`
`void` `beforeRequest(Map<String,List<String>> headers)`
`List<WebSocketExtension>` `getSelectedExtensions()`
`String` `getSelectedSubProtocol()`
`List<WebSocketExtension>` `getSupportedExtensions()`
`List<String>` `getSupportedSubProtocols()`
`void` `handshakeComplete(String selectedProtocol, List<WebSocketExtension> selectedExtensions)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebSocketClientNegotiation

    public WebSocketClientNegotiation(List<String> supportedSubProtocols,
                                      List<WebSocketExtension> supportedExtensions)

### Method Detail

#### getSupportedSubProtocols

    public List<String> getSupportedSubProtocols()

#### getSupportedExtensions

    public List<WebSocketExtension> getSupportedExtensions()

#### getSelectedSubProtocol

    public String getSelectedSubProtocol()

#### getSelectedExtensions

    public List<WebSocketExtension> getSelectedExtensions()

#### beforeRequest

    public void beforeRequest(Map<String,List<String>> headers)

#### afterRequest

    public void afterRequest(Map<String,List<String>> headers)

#### handshakeComplete

    public void handshakeComplete(String selectedProtocol,
                                  List<WebSocketExtension> selectedExtensions)